# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Array1OfBoundaryCurve Class Reference

`#include <StepGeom_Array1OfBoundaryCurve.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_Array1OfBoundaryCurve (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepGeom_Array1OfBoundaryCurve (const Handle(StepGeom_BoundaryCurve)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepGeom_BoundaryCurve)&V)
Standard_EXPORT void | Destroy ()
| ~StepGeom_Array1OfBoundaryCurve ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepGeom_Array1OfBoundaryCurve & | Assign (const StepGeom_Array1OfBoundaryCurve &Other)
const StepGeom_Array1OfBoundaryCurve & | operator= (const StepGeom_Array1OfBoundaryCurve &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepGeom_BoundaryCurve)&Value)
const Handle_StepGeom_BoundaryCurve & | Value (const Standard_Integer Index) const
const Handle_StepGeom_BoundaryCurve & | operator() (const Standard_Integer Index) const
Handle_StepGeom_BoundaryCurve & | ChangeValue (const Standard_Integer Index)
Handle_StepGeom_BoundaryCurve & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepGeom_Array1OfBoundaryCurve (const StepGeom_Array1OfBoundaryCurve &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Array1OfBoundaryCurve::StepGeom_Array1OfBoundaryCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepGeom_Array1OfBoundaryCurve::StepGeom_Array1OfBoundaryCurve | ( | const Handle(StepGeom_BoundaryCurve)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepGeom_Array1OfBoundaryCurve::~StepGeom_Array1OfBoundaryCurve | ( |  | ) | `[inline]`

Standard_EXPORT StepGeom_Array1OfBoundaryCurve::StepGeom_Array1OfBoundaryCurve | ( | const StepGeom_Array1OfBoundaryCurve & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepGeom_Array1OfBoundaryCurve& StepGeom_Array1OfBoundaryCurve::Assign | ( | const StepGeom_Array1OfBoundaryCurve & | Other | ) |

Handle_StepGeom_BoundaryCurve& StepGeom_Array1OfBoundaryCurve::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepGeom_Array1OfBoundaryCurve::Destroy | ( |  | ) |

Standard_EXPORT void StepGeom_Array1OfBoundaryCurve::Init | ( | const Handle(StepGeom_BoundaryCurve)& | V | ) |

Standard_Boolean StepGeom_Array1OfBoundaryCurve::IsAllocated | ( |  | ) | const

Standard_Integer StepGeom_Array1OfBoundaryCurve::Length | ( |  | ) | const

Standard_Integer StepGeom_Array1OfBoundaryCurve::Lower | ( |  | ) | const

void StepGeom_Array1OfBoundaryCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepGeom_Array1OfBoundaryCurve::operator new | ( | size_t | size | ) | `[inline]`

void* StepGeom_Array1OfBoundaryCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepGeom_BoundaryCurve& StepGeom_Array1OfBoundaryCurve::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepGeom_BoundaryCurve& StepGeom_Array1OfBoundaryCurve::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepGeom_Array1OfBoundaryCurve& StepGeom_Array1OfBoundaryCurve::operator= | ( | const StepGeom_Array1OfBoundaryCurve & | Other | ) | `[inline]`

void StepGeom_Array1OfBoundaryCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepGeom_BoundaryCurve)& | Value
| ) |

Standard_Integer StepGeom_Array1OfBoundaryCurve::Upper | ( |  | ) | const

const Handle_StepGeom_BoundaryCurve& StepGeom_Array1OfBoundaryCurve::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepGeom_Array1OfBoundaryCurve::isAllocated `[private]`

Standard_Integer StepGeom_Array1OfBoundaryCurve::myLowerBound `[private]`

Standard_Address StepGeom_Array1OfBoundaryCurve::myStart `[private]`

Standard_Integer StepGeom_Array1OfBoundaryCurve::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepGeom_Array1OfBoundaryCurve.hxx